Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class ProxyEmitter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.ProxyEmitter

All Implemented Interfaces:
  javax.xml.transform.Result

Direct Known Subclasses:
  CDATAFilter, DTDEmitter, HTMLIndenter, NamespaceEmitter, Stripper, UncommittedEmitter, XMLIndenter

public abstract class ProxyEmitter
extends Emitter

A ProxyEmitter is an Emitter that filters data before passing it to another underlying Emitter.

Field Summary
`protected Emitter` | `baseEmitter`
`protected java.util.Properties` | `outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`ProxyEmitter()`

Method Summary
`void` | `characters(char[] chars, int start, int len)` Character data
`void` | `comment(char[] ch, int start, int length)` Output a comment
`void` | `endDocument()` End of document
`void` | `endElement(int nameCode)` End of element
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Processing Instruction
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Set the Document Locator
`void` | `setEscaping(boolean escaping)` Switch escaping on or off.
`void` | `setNamePool(NamePool pool)` Set the name pool to be used for all name codes
`void` | `setOutputProperties(java.util.Properties details)` Set the output details.
`void` | `setUnderlyingEmitter(Emitter emitter)` Set the underlying emitter.
`void` | `setUnparsedEntity(java.lang.String name, java.lang.String uri)` Set the URI for an unparsed entity in the document.
`void` | `setWriter(java.io.Writer writer)` Set the result destination
`void` | `startDocument()` Start of document
`void` | `startElement(int nameCode, org.xml.sax.Attributes attributes, int[] namespaces, int nscount)` Start of element

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseEmitter

    protected Emitter baseEmitter

### outputProperties

    protected java.util.Properties outputProperties

Constructor Detail

### ProxyEmitter

    public ProxyEmitter()

Method Detail

### setUnderlyingEmitter

    public void setUnderlyingEmitter(Emitter emitter)

  Set the underlying emitter. This call is mandatory before using the Emitter.

### setNamePool

    public void setNamePool(NamePool pool)

  Set the name pool to be used for all name codes
  Overrides:
    `setNamePool` in class `Emitter`

### setWriter

    public void setWriter(java.io.Writer writer)

  Set the result destination
  Overrides:
    `setWriter` in class `Emitter`

### startDocument

    public void startDocument()
                       throws javax.xml.transform.TransformerException

  Start of document
  Overrides:
    `startDocument` in class `Emitter`

### endDocument

    public void endDocument()
                     throws javax.xml.transform.TransformerException

  End of document
  Overrides:
    `endDocument` in class `Emitter`

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes attributes,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Start of element
  Overrides:
    `startElement` in class `Emitter`
  Following copied from class: `com.icl.saxon.output.Emitter`
  Parameters:
    `namespaces` - Array of namespace codes identifying the namespace prefix/uri pairs associated with this element
    `nscount` - Number of significant entries within namespaces array

### endElement

    public void endElement(int nameCode)
                    throws javax.xml.transform.TransformerException

  End of element
  Overrides:
    `endElement` in class `Emitter`

### characters

    public void characters(char[] chars,
                           int start,
                           int len)
                    throws javax.xml.transform.TransformerException

  Character data
  Overrides:
    `characters` in class `Emitter`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws javax.xml.transform.TransformerException

  Processing Instruction
  Overrides:
    `processingInstruction` in class `Emitter`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws javax.xml.transform.TransformerException

  Output a comment
  Overrides:
    `comment` in class `Emitter`

### setEscaping

    public void setEscaping(boolean escaping)
                     throws javax.xml.transform.TransformerException

  Switch escaping on or off. This is called when the XSLT disable-output-escaping attribute is used to switch escaping on or off. It is not called for other sections of output (e.g. element names) where escaping is inappropriate.
  Overrides:
    `setEscaping` in class `Emitter`

### setOutputProperties

    public void setOutputProperties(java.util.Properties details)

  Set the output details.
  Overrides:
    `setOutputProperties` in class `Emitter`

### setUnparsedEntity

    public void setUnparsedEntity(java.lang.String name,
                                  java.lang.String uri)
                           throws javax.xml.transform.TransformerException

  Set the URI for an unparsed entity in the document.
  Overrides:
    `setUnparsedEntity` in class `Emitter`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Set the Document Locator
  Overrides:
    `setDocumentLocator` in class `Emitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD